twitter4j.auth

## Class AuthorizationFactory

- java.lang.Object
- - twitter4j.auth.AuthorizationFactory

    public final class AuthorizationFactory
    extends Object

A static factory class for Authorization.

Since:
  Twitter4J 2.1.1
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Constructor Summary

Constructors
Constructor and Description
`AuthorizationFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Authorization` `getInstance(Configuration conf)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthorizationFactory

    public AuthorizationFactory()

### Method Detail

#### getInstance

    public static Authorization getInstance(Configuration conf)

Parameters:
  `conf` - configuration
Returns:
  authorization instance
Since:
  Twitter4J 2.1.11